<div id="comments">
	<?php
	if ( post_password_required() ) : ?>
			<p class="notice"><?php _e( 'This post is password protected. Enter the password to view any comments.', 'open-pages' ); ?></p>
		</div>
		<?php return;
	endif;
	?>
	
	<?php
	if ( have_comments() ) :
		// http://thematictheme.com/2012/06/13/improved-separation-of-comments-and-pingbacks-in-thematic-1-0-1/
		// Collect the comments and pings
		$theme_comments = $wp_query->comments_by_type['comment'];
		$theme_pings = $wp_query->comments_by_type['pings'];
		
		// Calculate the total number of each
		$theme_comment_count = count( $theme_comments );
		$theme_ping_count = count( $theme_pings );
		
		// Get the page count for each
		$theme_comment_pages = get_comment_pages_count( $theme_comments );
		$theme_ping_pages = get_comment_pages_count( $theme_pings );
		
		// Determine which is the greater pagination number between the two (comment,ping) paginations
		$theme_max_response_pages = ( $theme_ping_pages > $theme_comment_pages ) ? $theme_ping_pages : $theme_comment_pages;
		
		// Reset the query var to use our calculation for the maximum page (newest/oldest)
		if ( $overridden_cpage ) {
			set_query_var( 'cpage', 'newest' == get_option('default_comments_page') ? $theme_comment_pages : 1 );
		}
		

		if ( $theme_comment_count == 0 ) :
			$theme_comment_count_text = __('No Comments', 'open-pages');
		else :
			$theme_comment_count_text = sprintf(  _n( 'One Comment', '%d Comments', $theme_comment_count, 'open-pages' ), $theme_comment_count );
		endif;        

		$theme_ping_count_text = sprintf(  _n( 'One Trackback', '%d Trackbacks', $theme_ping_count, 'open-pages' ), $theme_ping_count );
		?>
		
		<h2><?php echo $theme_comment_count_text; ?></h2>
		
		<div id="comments-c">
			<?php if ( ! empty( $comments_by_type['comment'] )  && get_query_var('cpage') <= $theme_comment_pages ) : ?>
				<ol class="commentlist">
					<?php wp_list_comments( 'type=comment&callback=open_pages_comment&end-callback=open_pages_close_comment&max_depth=3' ); ?>
				</ol>
			<?php endif; ?>
			
			<?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : ?>
				<nav id="comment-nav">
					<h3><?php _e( 'Comment Navigation', 'open-pages' ); ?></h1>
					
					<div class="post-pag">
						<?php paginate_comments_links( 'total=' . $theme_max_response_pages ); ?>
					</div>
					
					<br class="clear" />
				</nav>
			<?php endif; ?>
			
			<?php if ( ! empty( $comments_by_type['pings'] ) && get_query_var('cpage') <= $theme_ping_pages ) : ?>					
				<h2 id="pings"><?php echo $theme_ping_count_text; ?></h2>
		
				<ol class="pinglist">
					<?php wp_list_comments( 'type=pings&callback=open_pages_ping' ); ?>
				</ol>				
			<?php endif; ?>
		</div>
	<?php
	endif;
	
	if ('open' == $post->comment_status) :
		$args = array(
			'id_form' => 'comment-form',
			'id_submit' => 'submit',
			'title_reply' => __( 'Leave a Comment', 'open-pages' ),
			'title_reply_to' => __( 'Leave a Reply to %s', 'open-pages' ),
			'cancel_reply_link' => __( 'Cancel Reply', 'open-pages' ),
			'label_submit' => __( 'Post Comment', 'open-pages' ),
			'comment_field' => '<p class="comment-form-comment"><label for="comment">' . _x( 'Comment', 'noun', 'open-pages' ) . '</label><textarea id="comment" name="comment" cols="45" rows="8" aria-required="true"></textarea></p>',
			'must_log_in' => '<p class="must-log-in">' .  sprintf( __( 'You must be <a href="%s">logged in</a> to post a comment.', 'open-pages' ), wp_login_url( apply_filters( 'the_permalink', get_permalink( ) ) ) ) . '</p>',
			'logged_in_as' => '<p class="logged-in-as">' . sprintf( __( 'Logged in as <a href="%1$s">%2$s</a>. <a href="%3$s" title="Log out of this account">Log out?</a>', 'open-pages' ), admin_url( 'profile.php' ), $user_identity, wp_logout_url( apply_filters( 'the_permalink', get_permalink( ) ) ) ) . '</p>',
			'comment_notes_before' => '<p class="comment-notes">' . __( 'Your email address will not be published.', 'open-pages' ) . ( $req ? '<span class="required"> *</span>' : '' ) . '</p>',
			'comment_notes_after' => '',
			'fields' => apply_filters( 'comment_form_default_fields', array(
				'author' => '<p class="comment-form-author">' . '<label for="author">' . __( 'Name', 'open-pages' ) . ( $req ? '<span class="required"> *</span>' : '' ) . '</label>' . '<input id="author" name="author" type="text" value="' . esc_attr( $commenter['comment_author'] ) . '" size="30"' . ' /></p>',
				'email' => '<p class="comment-form-email"><label for="email">' . __( 'Email', 'open-pages' ) . ( $req ? '<span class="required"> *</span>' : '' ) . '</label>' . '<input id="email" name="email" type="text" value="' . esc_attr(  $commenter['comment_author_email'] ) . '" size="30"' . ' /></p>',
				'url' => '<p class="comment-form-url"><label for="url">' . __( 'Website', 'open-pages' ) . '</label>' . '<input id="url" name="url" type="text" value="' . esc_attr( $commenter['comment_author_url'] ) . '" size="30" /></p>' ) ) 
			);
		
		comment_form($args);
	endif;
	
	if ( ! comments_open() && ! is_page() && post_type_supports( get_post_type(), 'comments' ) ) : ?>
		<p class="nocomments"><?php _e( 'Comments are closed.', 'open-pages' ); ?></p>
	<?php
	endif; ?>
</div>