<div class="entry-title-c">
	<?php if ( defined('DESIGNER_MODE') ) : ?>
		<h1 class="entry-title page-title"><?php _e( 'Page Title', 'open-pages' ); ?></h1>
		<h2 class="entry-subtitle page-subtitle"><?php _e( 'Page Subtitle', 'open-pages' ); ?></h2>
	<?php else : ?>
		<h1 class="entry-title page-title">
			<?php
			if ( is_search() ) :
				printf( __( 'Search Results for: %s', 'open-pages' ), get_search_query() );
			elseif ( is_category() ) :
				printf( __( 'Archives: %s', 'open-pages' ), single_cat_title('', false) );
			elseif ( is_author() ) :
				if ( have_posts() ) : the_post();
					printf( __( 'Author Archives: %s', 'open-pages' ), get_the_author() );
				endif;
				
				rewind_posts();
			elseif ( is_day() ) :
				printf( __( 'Daily Archives: %s', 'open-pages' ), get_the_date() );
			elseif ( is_month() ) :
				printf( __( 'Monthly Archives: %s', 'open-pages' ), get_the_date( 'F Y' ) );
			elseif ( is_year() ) :
				printf( __( 'Yearly Archives: %s', 'open-pages' ), get_the_date( 'Y' ) );
			elseif ( is_archive() ) :
				_e( 'Archives', 'open-pages' );
			elseif ( is_404() ) :
				_e( 'Page Not Found', 'open-pages' );
			else :
				the_title();
			endif;
			?>
		</h1>
		
		<?php
		$subtitle = open_pages_the_subtitle();
		
		if ( is_singular() && $subtitle ) : ?>
			<h2 class="entry-subtitle page-subtitle"><?php echo $subtitle; ?></h2>
		<?php
		endif;

		if ( is_archive() || is_search() ) :
			global $query_string, $max_results;

			if ( ! isset($max_results) )
				$max_results = 10;

			$search = new WP_Query( $query_string . '&showposts=-1' );    

			if ( get_query_var( 'paged') ) {
				$paged = get_query_var( 'paged' );
			}
			elseif ( get_query_var( 'page') ) {
				$paged = get_query_var( 'page' );
			}
			else {
				$paged = 1;
			}

			if ( $search->have_posts() ) :   
				$i = 0;
				
				while( $search->have_posts() ) : $search->the_post(); $i++;        
					if ($i == $max_results) :  					
						$s_display = $i; 					
					endif;
				endwhile;

				if ( ! isset($s_display) ) :
					$s_display = $i;  		
				endif;

				$s_found = $i;
				$s_display_start = $paged * $posts_per_page - ($posts_per_page - 1);
				$s_display_end = $s_display_start + ($posts_per_page - 1);
				if ( $s_display_end > $s_found ) :
					$s_display_end = $s_found;
				endif; ?>
				
				<div class="posts-showing-c">
					<h2 class="entry-subtitle page-subtitle">
					<?php
					printf(
						__( 'Showing %s &#8211; %s of %s', 'open-pages' ),
						$s_display_start,
						$s_display_end,
						$s_found
					);
					?>
					</h2>
				</div>
			<?php
			endif;
		endif; ?>
	<?php endif; ?>
</div>