<?php
/**
 * Set Layout Blocks
 * Don't use the same name for multiple blocks
 * Names must be valid css id's (though spaces can be used)
 */
add_filter('sd_layout_blocks', 'new_sd_layout_blocks');

function new_sd_layout_blocks() {
	return array(
		"Text" => array(
			array(
				"name" => "Text",
				"file" => "skythemes_designer/blocks/text.php",
				"sections" => array(
					"Header",
					"Page Header",
					"Full Width Content",
					"Content",
					"Sidebar",
					"Footer"
				),
				'default_text' => 'Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.'
			),
			array(
				"name" => "Box",
				"file" => "skythemes_designer/blocks/box.php",
				"sections" => array(
					"Full Width Content",
					"Content",
					"Footer"
				)
			),
			array(
				"name" => "Box Group",
				"file" => "skythemes_designer/blocks/box-group.php",
				"sections" => array(
					"Full Width Content",
					"Content",
					"Footer"
				)
			)
		),
		"Branding" => array(
			array(
				"name" => "Site Title",
				"file" => "skythemes_designer/blocks/site-title.php",
				"sections" => array(
					"Header"
				)
			)
		),
		"Navigation" => array(
			array(
				"name" => "Menu - Left Aligned",
				"file" => "skythemes_designer/blocks/header-nav-left.php",
				"sections" => array(
					"Header",
					"Page Header"
				),
				"editable" => "false"
			),
			array(
				"name" => "Menu - Right Aligned",
				"file" => "skythemes_designer/blocks/header-nav-right.php",
				"sections" => array(
					"Header",
					"Page Header"
				),
				"editable" => "false"
			),
			array(
				"name" => "Menu - Center Aligned",
				"file" => "skythemes_designer/blocks/header-nav-center.php",
				"sections" => array(
					"Header",
					"Page Header"
				),
				"editable" => "false"
			),
			array(
				"name" => "Search Form",
				"file" => "skythemes_designer/blocks/sidebar-search.php",
				"sections" => array(
					"Full Width Content",
					"Content",
					"Sidebar",
					"Footer"
				),
				"editable" => "false"
			),
			array(
				"name" => "Categories",
				"description" => "Lists category archive links",
				"file" => "skythemes_designer/blocks/sidebar-cats.php",
				"sections" => array(
					"Full Width Content",
					"Content",
					"Sidebar",
					"Footer"
				),
				"editable" => "false"
			),
			array(
				"name" => "Popular Posts",
				"description" => "Lists popular posts by comments",
				"file" => "skythemes_designer/blocks/sidebar-popular-posts.php",
				"sections" => array(
					"Full Width Content",
					"Content",
					"Sidebar",
					"Footer"
				),
				"editable" => "false"
			)
		),
		"Page" => array(
			array(
				"name" => "Page",
				"file" => "skythemes_designer/blocks/content-page.php",
				"sections" => array(
					"Full Width Content",
					"Content"
				),
				"editable" => "false"
			),
			array(
				"name" => "Page Header",
				"file" => "skythemes_designer/blocks/content-page_header.php",
				"sections" => array(
					"Page Header",
					"Full Width Content",
					"Content"
				),
				"editable" => "false"
			),
			array(
				"name" => "Page Title",
				"file" => "skythemes_designer/blocks/content-page_title.php",
				"sections" => array(
					"Page Header",
					"Full Width Content",
					"Content"
				),
				"editable" => "false"
			),
			array(
				"name" => "Page Content",
				"file" => "skythemes_designer/blocks/content-page_content.php",
				"sections" => array(
					"Full Width Content",
					"Content"
				),
				"editable" => "false"
			)
		),
		"Post" => array(
			array(
				"name" => "Post",
				"file" => "skythemes_designer/blocks/content-single.php",
				"sections" => array(
					"Full Width Content",
					"Content"
				),
				"editable" => "false"
			),
			array(
				"name" => "Post Header",
				"file" => "skythemes_designer/blocks/content-single_header.php",
				"sections" => array(
					"Page Header",
					"Full Width Content",
					"Content"
				),
				"editable" => "false"
			),
			array(
				"name" => "Post Title",
				"file" => "skythemes_designer/blocks/content-single_title.php",
				"sections" => array(
					"Page Header",
					"Full Width Content",
					"Content"
				),
				"editable" => "false"
			),
			array(
				"name" => "Post Title - Editable",
				"file" => "skythemes_designer/blocks/content-single_title_editable.php",
				"sections" => array(
					"Page Header",
					"Full Width Content",
					"Content"
				),
				"editable" => "true",
				"hidden" => "true",
				'default_text' => "Enter Title Here"
			),
			array(
				"name" => "Post Subtitle - Editable",
				"file" => "skythemes_designer/blocks/content-single_subtitle_editable.php",
				"sections" => array(
					"Page Header",
					"Full Width Content",
					"Content"
				),
				"editable" => "true",
				"hidden" => "true",
				"default_text" => "Enter Subtitle Here"
			),
			array(
				"name" => "Author",
				"file" => "skythemes_designer/blocks/content-entry_meta_author.php",
				"sections" => array(
					"Page Header",
					"Full Width Content",
					"Content"
				),
				"editable" => "false"
			),
			array(
				"name" => "Published Date",
				"file" => "skythemes_designer/blocks/content-entry_meta_published.php",
				"sections" => array(
					"Page Header",
					"Full Width Content",
					"Content"
				),
				"editable" => "false"
			),
			array(
				"name" => "Published Date - Editable",
				"file" => "skythemes_designer/blocks/content-entry_meta_published_editable.php",
				"sections" => array(
					"Page Header",
					"Full Width Content",
					"Content"
				),
				"before" => '<div class="entry-meta entry-meta-published published-editable">',
				"after" => '</div>',
				"editable" => "true",
				"hidden" => "true"
			),
			array(
				"name" => "Author - Date - Comments Link",
				"file" => "skythemes_designer/blocks/content-entry_meta_published_comments.php",
				"sections" => array(
					"Page Header",
					"Full Width Content",
					"Content"
				),
				"editable" => "false"
			),
			array(
				"name" => "Post Content",
				"file" => "skythemes_designer/blocks/content-single_content.php",
				"sections" => array(
					"Full Width Content",
					"Content"
				),
				"editable" => "false"
			),
			array(
				"name" => "Post Content - Editable",
				"file" => "skythemes_designer/blocks/content-single_content_editable.php",
				"sections" => array(
					"Full Width Content",
					"Content"
				),
				"before" => '<div class="entry-content">',
				"after" => '</div><br class="clear" />',
				"editable" => "true",
				"hidden" => "true",
				"default_text" => "Enter Content Here"
			),
			array(
				"name" => "Category and Tags",
				"file" => "skythemes_designer/blocks/content-entry_meta_tags.php",
				"sections" => array(
					"Page Header",
					"Full Width Content",
					"Content"
				),
				"editable" => "false"
			),
			array(
				"name" => "Next and Previous Post Links",
				"file" => "skythemes_designer/blocks/content-single_pagination.php",
				"sections" => array(
					"Full Width Content",
					"Content"
				),
				"editable" => "false"
			),
			array(
				"name" => "Comments",
				"file" => "skythemes_designer/blocks/comments.php",
				"sections" => array(
					"Full Width Content",
					"Content"
				),
				"editable" => "false"
			),
		),
		"Media" => array(
			array(
				"name" => "Featured Image",
				"file" => "skythemes_designer/blocks/content-featured_image_large.php",
				"sections" => array(
					"Page Header",
					"Full Width Content"
				),
				"editable" => "false"
			),
			array(
				"name" => "Image Attachment",
				"file" => "skythemes_designer/blocks/content-image-single.php",
				"sections" => array(
					"Full Width Content",
					"Content"
				),
				"editable" => "false"
			)
		),
		"Other" => array(
			array(
				"name" => "Horizontal Rule",
				"file" => "skythemes_designer/blocks/hr.php",
				"sections" => array(
					"Header",
					"Page Header",
					"Full Width Content",
					"Content",
					"Sidebar",
					"Footer"
				),
				"editable" => "false"
			),
			array(
				"name" => "Social Media",
				"file" => "skythemes_designer/blocks/social-media.php",
				"sections" => array(
					"Page Header",
					"Full Width Content",
					"Content",
					"Sidebar"
				),
				"editable" => "false"
			),
			array(
				"name" => "Posts",
				"file" => "skythemes_designer/blocks/posts.php",
				"sections" => array(
					"Full Width Content"
				),
				"editable" => "false"
			),
			array(
				"name" => "Latest Post",
				"file" => "skythemes_designer/blocks/latest-post.php",
				"sections" => array(
					"Page Header",
					"Full Width Content"
				),
				"editable" => "false"
			),
			array(
				"name" => "Latest Posts",
				"file" => "skythemes_designer/blocks/latest-posts.php",
				"sections" => array(
					"Full Width Content"
				),
				"editable" => "false"
			),
			array(
				"name" => "Archive",
				"file" => "skythemes_designer/blocks/archive.php",
				"sections" => array(
					"Full Width Content",
					"Content"
				),
				"editable" => "false"
			),
			array(
				"name" => "Archive Posts",
				"file" => "skythemes_designer/blocks/archive-posts.php",
				"sections" => array(
					"Full Width Content"
				),
				"editable" => "false"
			),
			array(
				"name" => "Author Bio",
				"file" => "skythemes_designer/blocks/author_bio_no_avatar.php",
				"sections" => array(
					"Page Header",
					"Full Width Content",
					"Content",
					"Sidebar"
				),
				"editable" => "false"
			),
			array(
				"name" => "Author Bio with Avatar",
				"file" => "skythemes_designer/blocks/author_bio_avatar.php",
				"sections" => array(
					"Page Header",
					"Full Width Content",
					"Content",
					"Sidebar"
				),
				"editable" => "false"
			)
		),
		"Widget Areas" => array(
			array(
				"name" => "Widget Area 1",
				"file" => "skythemes_designer/blocks/widget-area-1.php",
				"sections" => array(
					"Header",
					"Page Header",
					"Full Width Content",
					"Content",
					"Sidebar",
					"Footer"
				),
				"editable" => "false"
			),
			array(
				"name" => "Widget Area 2",
				"file" => "skythemes_designer/blocks/widget-area-2.php",
				"sections" => array(
					"Header",
					"Page Header",
					"Full Width Content",
					"Content",
					"Sidebar",
					"Footer"
				),
				"editable" => "false"
			),
			array(
				"name" => "Widget Area 3",
				"file" => "skythemes_designer/blocks/widget-area-3.php",
				"sections" => array(
					"Header",
					"Page Header",
					"Full Width Content",
					"Content",
					"Sidebar",
					"Footer"
				),
				"editable" => "false"
			),
			array(
				"name" => "Widget Area 4",
				"file" => "skythemes_designer/blocks/widget-area-4.php",
				"sections" => array(
					"Header",
					"Page Header",
					"Full Width Content",
					"Content",
					"Sidebar",
					"Footer"
				),
				"editable" => "false"
			),
			array(
				"name" => "Widget Area 5",
				"file" => "skythemes_designer/blocks/widget-area-5.php",
				"sections" => array(
					"Header",
					"Page Header",
					"Full Width Content",
					"Content",
					"Sidebar",
					"Footer"
				),
				"editable" => "false"
			)
		),
		"Widget Areas (with Block Links)" => array(
			array(
				"name" => "Widget Area 6",
				"description" => "With Block Links",
				"file" => "skythemes_designer/blocks/widget-area-6-block-links.php",
				"sections" => array(
					"Header",
					"Page Header",
					"Full Width Content",
					"Content",
					"Sidebar",
					"Footer"
				),
				"editable" => "false"
			),
			array(
				"name" => "Widget Area 7",
				"description" => "With Block Links",
				"file" => "skythemes_designer/blocks/widget-area-7-block-links.php",
				"sections" => array(
					"Header",
					"Page Header",
					"Full Width Content",
					"Content",
					"Sidebar",
					"Footer"
				),
				"editable" => "false"
			),
			array(
				"name" => "Widget Area 8",
				"description" => "With Block Links",
				"file" => "skythemes_designer/blocks/widget-area-8-block-links.php",
				"sections" => array(
					"Header",
					"Page Header",
					"Full Width Content",
					"Content",
					"Sidebar",
					"Footer"
				),
				"editable" => "false"
			),
			array(
				"name" => "Widget Area 9",
				"description" => "With Block Links",
				"file" => "skythemes_designer/blocks/widget-area-9-block-links.php",
				"sections" => array(
					"Header",
					"Page Header",
					"Full Width Content",
					"Content",
					"Sidebar",
					"Footer"
				),
				"editable" => "false"
			),
			array(
				"name" => "Widget Area 10",
				"description" => "With Block Links",
				"file" => "skythemes_designer/skythemes_designer/blocks/widget-area-10-block-links.php",
				"sections" => array(
					"Header",
					"Page Header",
					"Full Width Content",
					"Content",
					"Sidebar",
					"Footer"
				),
				"editable" => "false"
			)
		)
	);
}