<?php
global $first_post_id, $paged;

$args = array(
	'posts_per_page' => 1,
	'post__in'  => get_option( 'sticky_posts' ),
	'ignore_sticky_posts' => 1
);

$posts = new WP_Query( $args );

if ( $posts->have_posts() ) :
	while ( $posts->have_posts() ) : $posts->the_post();
		$first_post_id = $posts->post->ID;
		
		if ( empty($paged) || $paged == 0 ) :
			$latest_post_shown = true; ?>
			
			<div class="latest-post">
				<article id="post-<?php the_ID(); ?>" <?php post_class('article'); ?>>
					<div class="entry-header-c">
						<header class="entry-header single-header">
							<?php get_template_part( 'content', 'entry_meta_published' ); ?>
							
							<div class="entry-title-c">
								<h1 class="entry-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h1>
								
								<?php
								$subtitle = open_pages_the_subtitle();
								
								if ( $subtitle ) : ?>
									<h2 class="entry-subtitle"><?php echo $subtitle; ?></h2>
								<?php
								endif; ?>
							</div>
							
							<div class="entry-excerpt">
								<?php the_excerpt(); ?>
							</div>
						</header>
					</div>
				</article>
			</div>
		<?php
		endif;
	endwhile;
endif;

if ( $latest_post_shown != true ) {
	include( get_template_directory() . '/skythemes_designer/blocks/posts_showing.php' );
}
?>