<?php
global $posts_per_page, $paged, $first_post_id, $max_results;

if ( empty($paged) || $paged == 0 ) :
	$paged = 1;
endif;

if ( ! isset($max_results) )
	$max_results = 10;

$i = 0;

$args = array(
	'showposts' => -1,
	'paged' => $paged,
	'post__not_in' => array($first_post_id)
);

$search = new WP_Query($args);    

if ( get_query_var( 'paged') ) {
	$paged = get_query_var( 'paged' );
}
elseif ( get_query_var( 'page') ) {
	$paged = get_query_var( 'page' );
}
else {
	$paged = 1;
}

if ( $search->have_posts() ) :   
	$i = 0;
	
	while( $search->have_posts() ) : $search->the_post(); $i++;        
		if ($i == $max_results) :  					
			$s_display = $i; 					
		endif;
	endwhile;

	if ( ! isset($s_display) ) :
		$s_display = $i;  		
	endif;

	$s_found = $i;
	$s_display_start = $paged * $posts_per_page - ($posts_per_page - 1);
	$s_display_end = $s_display_start + ($posts_per_page - 1);
	if ( $s_display_end > $s_found ) :
		$s_display_end = $s_found;
	endif; ?>
	
	<div class="posts-showing-c">
		<h2 class="page-subtitle">
		<?php
		printf(
			__( 'Showing %s &#8211; %s of %s', 'open-pages' ),
			$s_display_start,
			$s_display_end,
			$s_found
		);
		?>
		</h2>
	</div>
	<?php
endif;
