<?php
// redefine the template sections
if ( is_attachment() ) {
	$sd_template_sections = array('Header', 'Full Width Content', 'Footer');
}
elseif (
	$sd_template_name == 'Archives Page'
	|| $sd_template_name == 'Archive'
	|| $sd_template_name == 'Author'
	|| $sd_template_name == 'Search'
	|| $sd_template_name == '404 - Page Not Found'
) {
	$sd_template_sections = array('Header', 'Content', 'Sidebar', 'Footer');
}
elseif (
	$sd_template_name == 'Home'
	|| $sd_template_name == 'Blog'
) {
	$sd_template_sections = array('Header', 'Page Header', 'Content', 'Sidebar', 'Footer');
}
elseif (
	$sd_template_name == 'Page'
	|| $sd_template_name == 'Post'
) {
	$sd_template_sections = array('Header', 'Page Header', 'Full Width Content', 'Content', 'Sidebar', 'Footer');
}
else {
	$sd_template_sections = array('Header', 'Content', 'Sidebar', 'Footer');
}


// define the section layouts
if ( ! function_exists('sd_section_layout') ) {
	function sd_section_layout($section, $template = 'Global') {
		global $open_pages_template_dir;
		
		switch ( $template ) {
			case 'Home' :
				switch ( $section ) {
					case 'Header':
						include( $open_pages_template_dir . '/skythemes_designer/not_installed/Global-Header.php' );
					break;
					
					case 'Page Header':
						include( $open_pages_template_dir . '/skythemes_designer/blocks/latest-post.php' );
					break;
					
					case 'Content':
						include( $open_pages_template_dir . '/skythemes_designer/blocks/posts.php' );
					break;
					
					case 'Sidebar':
						include( $open_pages_template_dir . '/skythemes_designer/blocks/widget-area-8-block-links.php' );
					break;
					
					case 'Footer':
						include( $open_pages_template_dir . '/skythemes_designer/not_installed/Global-Footer.php' );
					break;
				}
			break;
			
			case 'Blog' :
				switch ( $section ) {
					case 'Header':
						include( $open_pages_template_dir . '/skythemes_designer/not_installed/Global-Header.php' );
					break;
					
					case 'Page Header':
						include( $open_pages_template_dir . '/skythemes_designer/blocks/latest-post.php' );
					break;
					
					case 'Content':
						include( $open_pages_template_dir . '/skythemes_designer/blocks/posts.php' );
					break;
					
					case 'Sidebar':
						include( $open_pages_template_dir . '/skythemes_designer/blocks/widget-area-8-block-links.php' );
					break;
					
					case 'Footer':
						include( $open_pages_template_dir . '/skythemes_designer/not_installed/Global-Footer.php' );
					break;
				}
			break;
			
			case 'Archives Page' :
				switch ( $section ) {
					case 'Header':
						include( $open_pages_template_dir . '/skythemes_designer/not_installed/Global-Header.php' );
					break;
					
					case 'Content':
						include( $open_pages_template_dir . '/skythemes_designer/blocks/archive.php' );
					break;
					
					case 'Sidebar':
						include( $open_pages_template_dir . '/skythemes_designer/blocks/widget-area-8-block-links.php' );
					break;
					
					case 'Footer':
						include( $open_pages_template_dir . '/skythemes_designer/not_installed/Global-Footer.php' );
					break;
				}
			break;
			
			case 'Archive' :
				switch ( $section ) {
					case 'Header':
						include( $open_pages_template_dir . '/skythemes_designer/not_installed/Global-Header.php' );
					break;
					
					case 'Content':
						include( $open_pages_template_dir . '/skythemes_designer/blocks/content-page_title.php' );
						include( $open_pages_template_dir . '/skythemes_designer/blocks/archive-posts.php' );
					break;
					
					case 'Sidebar':
						include( $open_pages_template_dir . '/skythemes_designer/blocks/widget-area-8-block-links.php' );
					break;
					
					case 'Footer':
						include( $open_pages_template_dir . '/skythemes_designer/not_installed/Global-Footer.php' );
					break;
				}
			break;
			
			case 'Author' :
				switch ( $section ) {
					case 'Header':
						include( $open_pages_template_dir . '/skythemes_designer/not_installed/Global-Header.php' );
					break;
					
					case 'Content':
						include( $open_pages_template_dir . '/skythemes_designer/blocks/content-page_title.php' );
						include( $open_pages_template_dir . '/skythemes_designer/blocks/archive-posts.php' );
					break;
					
					case 'Sidebar':
						include( $open_pages_template_dir . '/skythemes_designer/blocks/widget-area-8-block-links.php' );
					break;
					
					case 'Footer':
						include( $open_pages_template_dir . '/skythemes_designer/not_installed/Global-Footer.php' );
					break;
				}
			break;
			
			case 'Search' :
				switch ( $section ) {
					case 'Header':
						include( $open_pages_template_dir . '/skythemes_designer/not_installed/Global-Header.php' );
					break;
					
					case 'Content':
						include( $open_pages_template_dir . '/skythemes_designer/blocks/content-page_title.php' );
						include( $open_pages_template_dir . '/skythemes_designer/blocks/archive-posts.php' );
					break;
					
					case 'Sidebar':
						include( $open_pages_template_dir . '/skythemes_designer/blocks/widget-area-8-block-links.php' );
					break;
					
					case 'Footer':
						include( $open_pages_template_dir . '/skythemes_designer/not_installed/Global-Footer.php' );
					break;
				}
			break;
			
			case 'Page' :
				switch ( $section ) {
					case 'Header':
						include( $open_pages_template_dir . '/skythemes_designer/not_installed/Global-Header.php' );
					break;
					
					case 'Page Header':
						include( $open_pages_template_dir . '/skythemes_designer/blocks/content-page_header.php' );
					break;
					
					case 'Full Width Content':
						include( $open_pages_template_dir . '/skythemes_designer/blocks/content-featured_image_large.php' );
					break;
					
					case 'Content':
						include( $open_pages_template_dir . '/skythemes_designer/blocks/content-page_content.php' );
					break;
					
					case 'Sidebar':
						include( $open_pages_template_dir . '/skythemes_designer/blocks/widget-area-8-block-links.php' );
					break;
					
					case 'Footer':
						include( $open_pages_template_dir . '/skythemes_designer/not_installed/Global-Footer.php' );
					break;
				}
			break;
			
			case 'Post' :
				switch ( $section ) {
					case 'Header':
						include( $open_pages_template_dir . '/skythemes_designer/not_installed/Global-Header.php' );
					break;
					
					case 'Page Header':
						include( $open_pages_template_dir . '/skythemes_designer/blocks/content-single_header.php' );
					break;
					
					case 'Full Width Content':
						include( $open_pages_template_dir . '/skythemes_designer/blocks/content-featured_image_large.php' );
					break;
					
					case 'Content':
						include( $open_pages_template_dir . '/skythemes_designer/blocks/content-single_content.php' );
						include( $open_pages_template_dir . '/skythemes_designer/blocks/content-entry_meta_tags.php' );
						include( $open_pages_template_dir . '/skythemes_designer/blocks/comments.php' );
					break;
					
					case 'Sidebar':
						include( $open_pages_template_dir . '/skythemes_designer/blocks/widget-area-8-block-links.php' );
					break;
					
					case 'Footer':
						include( $open_pages_template_dir . '/skythemes_designer/not_installed/Global-Footer.php' );
					break;
				}
			break;
			
			case 'Image Attachment' :
				switch ( $section ) {
					case 'Header':
						include( $open_pages_template_dir . '/skythemes_designer/not_installed/Global-Header.php' );
					break;
					
					case 'Full Width Content':
						include( $open_pages_template_dir . '/skythemes_designer/blocks/content-image-single.php' );
					break;
					
					case 'Footer':
						include( $open_pages_template_dir . '/skythemes_designer/not_installed/Global-Footer.php' );
					break;
				}
			break;
			
			case '404 - Page Not Found' :
				switch ( $section ) {
					case 'Header':
						include( $open_pages_template_dir . '/skythemes_designer/not_installed/Global-Header.php' );
					break;
					
					case 'Content':
						include( $open_pages_template_dir . '/skythemes_designer/not_installed/404-Content.php' );
					break;
					
					case 'Sidebar':
						include( $open_pages_template_dir . '/skythemes_designer/blocks/widget-area-8-block-links.php' );
					break;
					
					case 'Footer':
						include( $open_pages_template_dir . '/skythemes_designer/not_installed/Global-Footer.php' );
					break;
				}
			break;
			
			default :
				switch ( $section ) {
					case 'Header':
						include( $open_pages_template_dir . '/skythemes_designer/not_installed/Global-Header.php' );
					break;
					
					case 'Sidebar':
						include( $open_pages_template_dir . '/skythemes_designer/blocks/widget-area-8-block-links.php' );
					break;
					
					case 'Footer':
						include( $open_pages_template_dir . '/skythemes_designer/not_installed/Global-Footer.php' );
					break;
				}
		}
	}
}