<?php
add_filter('sd_colour_scheme_elements', 'open_pages_colour_scheme_elements');

function open_pages_colour_scheme_elements() {
	return array(
		"Left Side" => array(
			"background" => array(
				"Background" => "#bg-colour"
			)
		),
		"Header" => array(
			"text" => array(
				"Site Title" => "#site-title a"
			)
		),
		"Header Menu" => array(
			"text" => array(
				"Text" => ".nav li a",
				"Text (Current)" => ".nav li.current_page_item a",
				"Text (Hover)" => ".nav li:hover a, .nav li:focus a, .nav a:active, .nav li.current_page_item a:hover, .nav li.current_page_item a:focus"
			),
			"border" => array(
				"Link (Hover) Border" => ".nav li:hover a, .nav li:focus a, .nav li.current_page_item a, .nav ul ul",
			),
			"background" => array(
				"Link (Hover) Background" => ".nav li:hover a, .nav li:focus a, .nav li.current_page_item a",
				"Dropdown Background" => ".nav ul ul, .nav ul ul li ul",
				"Dropdown (Hover) Background" => ".nav ul ul li a:hover, .nav ul ul li a:focus"
			)
		),
		"Main Content" => array(
			"text" => array(
				"Headings" => "h1, h2, h3, h4, h5, h6",
				"Text" => "body, p, ol, ul, dl, label, table",
				"Link" => "a",
				"Link (Hover)" => "a:hover, a:focus",
				"Link (Active)" => "a:active",
				"Page/Post Title" => "h1.entry-title",
				"Page/Post Subtitle" => "h2.entry-subtitle",
				"Index Post Title" => ".posts-list .entry-title a, h1.entry-title a",
				"Index Post Title (Hover)" => ".posts-list .entry-title a:hover, .posts-list .entry-title a:focus, h1.entry-title a:hover, h1.entry-title a:focus",
				"Index Post Subtitle" => ".posts-list .entry-subtitle",
				"Meta" => ".meta, .entry-meta, .entry-meta span",
				"Meta Link" => ".meta a, .entry-meta a, .comment-count a",
				"Meta Link (Hover)" => ".meta a:hover, .meta a:focus, .entry-meta a:hover, .entry-meta a:focus, .comment-count a:hover, .comment-count a:focus",
				"Dropcap" => "p.dropcap:first-letter, span.dropcap",
				"Blockquote Text" => "blockquote, blockquote p, blockquote ol, blockquote ul",
				"Blockquote Quote" => "blockquote > *:first-child:before",
				"Pullquote Text" => ".pullquote, .pullquote p, .pullquote span",
				"Image Caption Text" => ".wp-caption-text, .entry-caption p"
			),
			"border" => array(
				"Box Border" => "#author-info, #related-posts, .box, .box-group-row"
			),
			"background" => array(
				"Box Background" => "#author-info, #related-posts, .box, .box-group-row",
				"Horizontal Rule" => "hr"
			)
		),
		"Comments" => array(
			"border" => array(
				"Author Comment Border" => ".bypostauthor .comment-text",
			)
		),
		"Pagination" => array(
			"text" => array(
				"Current Page Text" => "#pagination span.current, body #pagination .current:hover, body #pagination .current:focus"
			),
			"background" => array(
				"Current Page Background" => "#pagination span.current, body #pagination .current:hover, body #pagination .current:focus"
			)
		),
		"Sidebar" => array(
			"text" => array(
				"Headings" => "#sidebar h1, #sidebar h2, #sidebar h3, #sidebar h4, #sidebar h5, #sidebar h6",
				"Text" => "#sidebar, #sidebar p, #sidebar ol, #sidebar ul, #sidebar dl, #sidebar label, #sidebar table",
				"Link" => "#sidebar a",
				"Link (Hover)" => "#sidebar a:hover, #sidebar a:focus",
				"Link (Active)" => "#sidebar a:active"
			),
			"background" => array(
				"Block Links (Hover) Background" => ".sidebar-nav a:hover, .sidebar-nav a:focus, .block-links a:hover, .block-links a:focus"
			)
		),
		"Footer" => array(
			"text" => array(
				"Headings" => "#footer h1, #footer h2, #footer h3, #footer h4, #footer h5, #footer h6",
				"Text" => "#footer, #footer p, #footer ol, #footer ul, #footer dl, #footer label, #footer table",
				"Link" => "#footer a",
				"Link (Hover)" => "#footer a:hover, #footer a:focus",
				"Link (Active)" => "#footer a:active"
			)
		),
		"Default Button Colour" => array(
			"text" => array(
				"Text" => "#container button, #container .button, a.button, #container a.button:hover, #container a.button:focus, #comment-form #submit, #comment-form #submit:hover, #comment-form #submit:focus, #pagination .page-numbers, #pagination .page-numbers:hover, #pagination .page-numbers:focus"
			),
			"background" => array(
				"Background" => "#container button, #container .button, a.button, #container a.button:hover, #container a.button:focus, #comment-form #submit, #comment-form #submit:hover, #comment-form #submit:focus, #pagination .page-numbers, #pagination .page-numbers:hover, #pagination .page-numbers:focus"
			)
		),
		"Custom Button Colour" => array(
			"text" => array(
				"Text" => "#container button.custom, #container .button.custom, #container a.button.custom, #container a.button.custom:hover, #container a.button.custom:focus"
			),
			"background" => array(
				"Background" => "#container button.custom, #container .button.custom, #container a.button.custom, #container a.button.custom:hover, #container a.button.custom:focus"
			)
		)
	);
}

include( $open_pages_template_dir . SD_COLOUR_THEME_SCHEMES_PATH . '/by_the_fire.php');
include( $open_pages_template_dir . SD_COLOUR_THEME_SCHEMES_PATH . '/at_sea.php');
include( $open_pages_template_dir . SD_COLOUR_THEME_SCHEMES_PATH . '/under_a_tree.php');

add_filter('sd_colour_schemes', 'open_pages_colour_schemes');

function open_pages_colour_schemes() {
	global $open_pages_schemes;
	
	return $open_pages_schemes;
}