<?php
// Define fonts to be available in Designer
// Font Name => Font CSS
// font css should be enclosed in single quotation marks
add_filter('sd_fonts', 'new_sd_fonts');

function new_sd_fonts() {
	return array(
		"Sans Serif" => array(
			"Source Sans Pro" => "'Source Sans Pro'",
			"Julius Sans One" => "'Julius Sans One'",
			"Josefin Sans" => "'Josefin Sans'",
			"Arial" => "'Arial'",
			"Verdana" => "'Verdana'",
			"Trebuchet" => "'Trebuchet'",
			"Corbel" => "'Corbel'",
			"Candara" => "'Candara'",
			"Lucida Sans Unicode" => "'Lucida Sans Unicode'",
			"Tahoma" => "'Tahoma'"
		),
		"Serif" => array(
			"Arvo" => "'Arvo'",
			"Josefin Slab" => "'Josefin Slab'",
			"Abril Fatface" => "'Abril Fatface'",
			"Georgia" => "'Georgia'",
			"Times New Roman" => "'Times New Roman'",
			"Cambria" => "'Cambria'",
			"Constantia" => "'Constantia'",
			"Palatino Linotype" => "'Palatino Linotype'"
		),
		"Script" => array(
			"Montez" => "'Montez'",
			"Berkshire Swash" => "'Berkshire Swash'"
		)
	);
}

// Define font fallbacks to be available in Designer
add_filter('sd_font_fallbacks', 'new_sd_font_fallbacks');

function new_sd_font_fallbacks() {
	return array(
		"Sans Serif" => array(			
			"Arial, sans-serif",
			"Verdana, sans-serif",
			"sans-serif"
		),
		"Serif" => array(
			"Georgia, serif",
			"'Times New Roman', serif",
			"serif"
		)
	);
}


add_filter('sd_font_sizes', 'new_sd_font_sizes');

function new_sd_font_sizes() {
	return array(
		"10px",
		"11px",
		"12px",
		"14px",
		"18px",
		"24px",
		"30px",
		"36px",
		"48px",
		"72px"
	);
}


add_filter('sd_line_heights', 'new_sd_line_heights');

function new_sd_line_heights() {
	return array(
		"1",
		"1.1",
		"1.2",
		"1.3",
		"1.4",
		"1.5",
		"2",
		"16px",
		"18px",
		"21px",
		"24px",
		"30px",
		"36px",
		"48px",
		"72px"
	);
}


add_filter('sd_letter_spacings', 'new_sd_letter_spacings');

function new_sd_letter_spacings() {
	return array(
		"0em",
		"0.1em",
		"0.2em",
		"0.3em",
		"0.4em",
		"0.5em",
		"1em"
	);
}


add_filter('sd_word_spacings', 'new_sd_word_spacings');

function new_sd_word_spacings() {
	return array(
		"0em",
		"0.1em",
		"0.2em",
		"0.3em",
		"0.4em",
		"0.5em",
		"1em"
	);
}


add_filter('sd_weights', 'new_sd_weights');

function new_sd_weights() {
	return array(
		"Lighter",
		"Normal",
		"Bold",
		"Bolder"
	);
}


add_filter('sd_margins', 'new_sd_margins');

function new_sd_margins() {
	return array(
		"0px",
		"10px",
		"20px",
		"24px",
		"30px",
		"40px"
	);
}

include( $open_pages_template_dir . SD_TYPE_THEME_STYLESETS_PATH . '/Source.php');
include( $open_pages_template_dir . SD_TYPE_THEME_STYLESETS_PATH . '/Josefin.php');
include( $open_pages_template_dir . SD_TYPE_THEME_STYLESETS_PATH . '/Julius.php');
include( $open_pages_template_dir . SD_TYPE_THEME_STYLESETS_PATH . '/Montez.php');


add_filter('sd_type_styles', 'open_pages_type_styles');

function open_pages_type_styles() {
	global $open_pages_type_styles;
	
	return $open_pages_type_styles;
}