<?php
include( $open_pages_template_dir . '/skythemes_designer/settings.php' );
include( $open_pages_template_dir . '/skythemes_designer/templates.php' );
include( $open_pages_template_dir . '/skythemes_designer/blocks.php' );
include( $open_pages_template_dir . '/skythemes_designer/presets/type/presets.php');
include( $open_pages_template_dir . '/skythemes_designer/presets/colour/presets.php');

// Include the SkyThemes Designer class
if ( defined('SD_DIR') ) {
	@include( SD_DIR . '/SkyThemesDesigner.php');
}

// Initialize SkyThemes Designer
if ( class_exists('SkyThemesDesigner') ) {
	$designer = new SkyThemesDesigner();
	
	define( 'DESIGNER_INSTALLED', true );
}


/*-------------------------------------------------------------------------------------------*/
/* Filter the Title and Content when in Designer */
/*-------------------------------------------------------------------------------------------*/
if ( defined('DESIGNER_MODE') ) {
	add_filter('the_title', 'open_pages_filter_the_title');
	add_filter('open_pages_the_subtitle', 'open_pages_filter_the_subtitle');
	add_filter('the_content', 'open_pages_filter_the_content');
}

function open_pages_filter_the_title($title) {
	if ( in_the_loop() == true )
		return 'Lorem Ipsum Dolor Sit Amet';
	else
		return $title;
}

function open_pages_filter_the_subtitle($title) {
	return 'consectetur adipisicing elit, sed do eiusmod tempor incididunt';
}


function open_pages_filter_the_content($content) {
	if ( in_the_loop() == true )
		return '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p><p>Donec mattis nisl non est. Pellentesque eget massa ac augue commodo viverra. Fusce orci odio, sollicitudin vitae, commodo nec, ultrices in, augue. Vestibulum lobortis ornare ligula. In hac habitasse platea dictumst. Suspendisse potenti. Sed posuere euismod nibh. Duis iaculis blandit massa. Duis placerat, neque congue lacinia mattis, leo magna pellentesque purus, eget nonummy odio nulla quis felis. Aenean mollis magna vitae elit. Nam pellentesque. Nulla semper ultricies nulla. Integer ut nunc ac elit aliquam pretium. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos hymenaeos.</p>';
	else
		return $content;
}