<?php
/**
 * Set Global Defaults
 * Section names within layout data must have spaces converted to dashes
 */
add_filter('sd_global_defaults', 'new_sd_global_defaults');

function new_sd_global_defaults() {
	return array(
		"layout" => array(
			'sections' => array (
				0 => array (
					'section' => 'Header',
					'height' => '220',
					'blocks' => array (
						0 => array (
							'top' => '10',
							'left' => '0',
							'width' => '300',
							'height' => '80',
							'type' => 'Site Title',
							'container' => 'Header',
							'ID' => '1',
							'custom_ID' => 'Site_Title',
							'editable' => 'false'
						),
						1 => array (
							'top' => '10',
							'left' => '320',
							'width' => '620',
							'height' => '80',
							'type' => 'Menu - Right Aligned',
							'container' => 'Header',
							'ID' => '2',
							'custom_ID' => 'Menu',
							'editable' => 'false'
						)
					)
				),
				1 => array (
					'section' => 'Sidebar',
					'height' => '340',
					'blocks' => array (
						0 => array (
							'top' => '10',
							'left' => '0',
							'width' => '340',
							'height' => '80',
							'type' => 'Widget Area 8',
							'container' => 'Sidebar',
							'ID' => '1',
							'custom_ID' => 'Widget_Area_8',
							'editable' => 'false'
						)
					)
				),
				2 => array (
					'section' => 'Footer',
					'height' => '250',
					'blocks' => array (
						0 => array (
							'top' => '20',
							'left' => '0',
							'width' => '300',
							'height' => '80',
							'type' => 'Widget Area 2',
							'container' => 'Footer',
							'ID' => '1',
							'custom_ID' => 'Widget_Area_2',
							'editable' => 'false'
						),
						1 => array (
							'top' => '20',
							'left' => '340',
							'width' => '280',
							'height' => '80',
							'type' => 'Widget Area 6',
							'container' => 'Footer',
							'ID' => '2',
							'custom_ID' => 'Widget_Area_6',
							'editable' => 'false'
						),
						2 => array (
							'top' => '20',
							'left' => '660',
							'width' => '280',
							'height' => '80',
							'type' => 'Widget Area 7',
							'container' => 'Footer',
							'ID' => '3',
							'custom_ID' => 'Widget_Area_7',
							'editable' => 'false'
						),
					)
				)
			)
		),
		"styles" => array(
			'styleset' => 'Source',
			'colour-scheme' => 'By the Fire'
		)
	);
}

/**
 * Set Theme Templates
 * Section names within layout data must have spaces converted to dashes
 */
add_filter('sd_theme_templates', 'new_sd_theme_templates');

function new_sd_theme_templates() {
	return array(
		"Home" => array(
			"post_type" => "page",
			"file" => "home.php",
			"sections" => array(
				"Header" => array( "scope" => "global" ),
				"Page Header" => array( "scope" => "template" ),
				"Content" => array( "scope" => "template" ),
				"Sidebar" => array( "scope" => "global" ),
				"Footer" => array( "scope" => "global" )
			),
			"layout" => array(
				'sections' => array(
					0 => array(
						'section' => 'Page-Header',
						'height' => '300',
						'blocks' => array(
							0 => array(
								'top' => '20',
								'left' => '0',
								'width' => '940',
								'height' => '80',
								'type' => 'Latest Post',
								'container' => 'Full-Width-Content',
								'ID' => '1',
								'custom_ID' => 'Latest_Post',
								'editable' => 'false'
							)
						)
					),
					1 => array(
						'section' => 'Content',
						'height' => '300',
						'blocks' => array(
							0 => array(
								'top' => '20',
								'left' => '0',
								'width' => '540',
								'height' => '80',
								'type' => 'Posts',
								'container' => 'Content',
								'ID' => '1',
								'custom_ID' => 'Posts',
								'editable' => 'false'
							)
						)
					)
				)
			)
		),
		"Blog" => array(
			"post_type" => "page",
			"file" => "template_blog.php",
			"sections" => array(
				"Header" => array( "scope" => "global" ),
				"Page Header" => array( "scope" => "template" ),
				"Content" => array( "scope" => "template" ),
				"Sidebar" => array( "scope" => "global" ),
				"Footer" => array( "scope" => "global" )
			),
			"layout" => array(
				'sections' => array(
					0 => array(
						'section' => 'Page-Header',
						'height' => '300',
						'blocks' => array(
							0 => array(
								'top' => '20',
								'left' => '0',
								'width' => '940',
								'height' => '80',
								'type' => 'Latest Post',
								'container' => 'Page-Header',
								'ID' => '1',
								'custom_ID' => 'Latest_Post',
								'editable' => 'false'
							)
						)
					),
					1 => array(
						'section' => 'Content',
						'height' => '300',
						'blocks' => array(
							0 => array(
								'top' => '20',
								'left' => '0',
								'width' => '540',
								'height' => '80',
								'type' => 'Posts',
								'container' => 'Content',
								'ID' => '1',
								'custom_ID' => 'Posts',
								'editable' => 'false'
							)
						)
					)
				)
			)
		),
		"Archives Page" => array(
			"post_type" => "page",
			"file" => "template_archive.php",
			"sections" => array(
				"Header" => array( "scope" => "global" ),
				"Content" => array( "scope" => "template" ),
				"Sidebar" => array( "scope" => "global" ),
				"Footer" => array( "scope" => "global" )
			),
			"layout" => array(
				'sections' => array(
					0 => array(
						'section' => 'Content',
						'height' => '300',
						'blocks' => array(
							0 => array(
								'top' => '20',
								'left' => '0',
								'width' => '540',
								'height' => '80',
								'type' => 'Archive',
								'container' => 'Content',
								'ID' => '1',
								'custom_ID' => 'Archive',
								'editable' => 'false'
							)
						)
					)
				)
			)
		),
		"Archive" => array(
			"post_type" => "page",
			"file" => "archive.php",
			"sections" => array(
				"Header" => array( "scope" => "global" ),
				"Content" => array( "scope" => "template" ),
				"Sidebar" => array( "scope" => "global" ),
				"Footer" => array( "scope" => "global" )
			),
			"layout" => array(
				'sections' => array(
					0 => array(
						'section' => 'Content',
						'height' => '400',
						'blocks' => array(
							0 => array(
								'top' => '20',
								'left' => '0',
								'width' => '540',
								'height' => '80',
								'type' => 'Page Title',
								'container' => 'Content',
								'ID' => '1',
								'custom_ID' => 'Page_Title',
								'editable' => 'false'
							),
							1 => array(
								'top' => '120',
								'left' => '0',
								'width' => '540',
								'height' => '80',
								'type' => 'Archive Posts',
								'container' => 'Content',
								'ID' => '2',
								'custom_ID' => 'Archive_Posts',
								'editable' => 'false'
							)
						)
					)
				)
			)
		),
		"Author" => array(
			"post_type" => "page",
			"file" => "author.php",
			"sections" => array(
				"Header" => array( "scope" => "global" ),
				"Content" => array( "scope" => "template" ),
				"Sidebar" => array( "scope" => "global" ),
				"Footer" => array( "scope" => "global" )
			),
			"layout" => array(
				'sections' => array(
					0 => array(
						'section' => 'Content',
						'height' => '400',
						'blocks' => array(
							0 => array(
								'top' => '20',
								'left' => '0',
								'width' => '540',
								'height' => '80',
								'type' => 'Page Title',
								'container' => 'Content',
								'ID' => '1',
								'custom_ID' => 'Page_Title',
								'editable' => 'false'
							),
							1 => array(
								'top' => '120',
								'left' => '0',
								'width' => '540',
								'height' => '80',
								'type' => 'Archive Posts',
								'container' => 'Content',
								'ID' => '2',
								'custom_ID' => 'Archive_Posts',
								'editable' => 'false'
							)
						)
					)
				)
			)
		),
		"Search" => array(
			"post_type" => "page",
			"file" => "search.php",
			"sections" => array(
				"Header" => array( "scope" => "global" ),
				"Content" => array( "scope" => "template" ),
				"Sidebar" => array( "scope" => "global" ),
				"Footer" => array( "scope" => "global" )
			),
			"layout" => array(
				'sections' => array(
					0 => array(
						'section' => 'Content',
						'height' => '400',
						'blocks' => array(
							0 => array(
								'top' => '20',
								'left' => '0',
								'width' => '540',
								'height' => '80',
								'type' => 'Page Title',
								'container' => 'Content',
								'ID' => '1',
								'custom_ID' => 'Page_Title',
								'editable' => 'false'
							),
							1 => array(
								'top' => '120',
								'left' => '0',
								'width' => '540',
								'height' => '80',
								'type' => 'Archive Posts',
								'container' => 'Content',
								'ID' => '2',
								'custom_ID' => 'Archive_Posts',
								'editable' => 'false'
							)
						)
					)
				)
			)
		),
		"Page" => array(
			"post_type" => "page",
			"file" => "page.php",
			"sections" => array(
				"Header" => array( "scope" => "global" ),
				"Page Header" => array( "scope" => "template" ),
				"Full Width Content" => array( "scope" => "template" ),
				"Content" => array( "scope" => "template" ),
				"Sidebar" => array( "scope" => "global" ),
				"Footer" => array( "scope" => "global" )
			),
			"layout" => array(
				'sections' => array(
					0 => array (
						'section' => 'Page-Header',
						'height' => '300',
						'blocks' => array (
							0 => array(
								'top' => '20',
								'left' => '0',
								'width' => '940',
								'height' => '80',
								'type' => 'Page Header',
								'container' => 'Page-Header',
								'ID' => '1',
								'custom_ID' => 'Page_Header',
								'editable' => 'false'
							)
						)
					),
					1 => array(
						'section' => 'Full-Width-Content',
						'height' => '300',
						'blocks' => array(
							0 => array(
								'top' => '20',
								'left' => '0',
								'width' => '940',
								'height' => '80',
								'type' => 'Featured Image',
								'container' => 'Full-Width-Content',
								'ID' => '1',
								'custom_ID' => 'Featured_Image_Large',
								'editable' => 'false'
							)
						)
					),
					2 => array(
						'section' => 'Content',
						'height' => '400',
						'blocks' => array(
							0 => array(
								'top' => '20',
								'left' => '0',
								'width' => '540',
								'height' => '80',
								'type' => 'Page Content',
								'container' => 'Content',
								'ID' => '2',
								'custom_ID' => 'Page_Content',
								'editable' => 'false'
							)
						)
					)
				)
			)
		),
		"Post" => array(
			"post_type" => "post",
			"file" => "single.php",
			"sections" => array(
				"Header" => array( "scope" => "global" ),
				"Page Header" => array( "scope" => "template" ),
				"Full Width Content" => array( "scope" => "template" ),
				"Content" => array( "scope" => "template" ),
				"Sidebar" => array( "scope" => "global" ),
				"Footer" => array( "scope" => "global" )
			),
			"layout" => array(
				'sections' => array(
					0 => array (
						'section' => 'Page-Header',
						'height' => '300',
						'blocks' => array (
							0 => array(
								'top' => '20',
								'left' => '0',
								'width' => '940',
								'height' => '80',
								'type' => 'Post Header',
								'container' => 'Page-Header',
								'ID' => '1',
								'custom_ID' => 'Post_Header',
								'editable' => 'false'
							)
						)
					),
					1 => array(
						'section' => 'Full-Width-Content',
						'height' => '400',
						'blocks' => array(
							0 => array(
								'top' => '120',
								'left' => '0',
								'width' => '940',
								'height' => '80',
								'type' => 'Featured Image',
								'container' => 'Full-Width-Content',
								'ID' => '2',
								'custom_ID' => 'Featured_Image_Large',
								'editable' => 'false'
							)
						)
					),
					2 => array(
						'section' => 'Content',
						'height' => '400',
						'blocks' => array(
							0 => array(
								'top' => '20',
								'left' => '0',
								'width' => '540',
								'height' => '80',
								'type' => 'Post Content',
								'container' => 'Content',
								'ID' => '1',
								'custom_ID' => 'Post_Content',
								'editable' => 'false'
							),
							1 => array(
								'top' => '120',
								'left' => '0',
								'width' => '540',
								'height' => '80',
								'type' => 'Category and Tags',
								'container' => 'Content',
								'ID' => '2',
								'custom_ID' => 'Category_and_Tags',
								'editable' => 'false'
							),
							2 => array(
								'top' => '220',
								'left' => '0',
								'width' => '540',
								'height' => '80',
								'type' => 'Comments',
								'container' => 'Content',
								'ID' => '3',
								'custom_ID' => 'Comments',
								'editable' => 'false'
							)
						)
					)
				)
			)
		),
		"Image Attachment" => array(
			"post_type" => "page",
			"file" => "image.php",
			"sections" => array(
				"Header" => array( "scope" => "global" ),
				"Full Width Content" => array( "scope" => "template" ),
				"Footer" => array( "scope" => "global" )
			),
			"layout" => array(
				'sections' => array(
					0 => array(
						'section' => 'Full-Width-Content',
						'height' => '300',
						'blocks' => array(
							0 => array(
								'top' => '20',
								'left' => '0',
								'width' => '940',
								'height' => '80',
								'type' => 'Image Attachment',
								'container' => 'Full-Width-Content',
								'ID' => '1',
								'custom_ID' => 'Image_Attachment',
								'editable' => 'false'
							)
						)
					)
				)
			)
		),
		"404 - Page Not Found" => array(
			"post_type" => "page",
			"file" => "404.php",
			"sections" => array(
				"Header" => array( "scope" => "global" ),
				"Content" => array( "scope" => "template" ),
				"Sidebar" => array( "scope" => "global" ),
				"Footer" => array( "scope" => "global" )
			),
			"layout" => array(
				'sections' => array(
					0 => array(
						'section' => 'Content',
						'height' => '400',
						'blocks' => array(
							0 => array(
								'top' => '20',
								'left' => '0',
								'width' => '540',
								'height' => '80',
								'type' => 'Page Title',
								'container' => 'Content',
								'ID' => '1',
								'custom_ID' => 'Page_Title',
								'editable' => 'false'
							),
							1 => array(
								'top' => '120',
								'left' => '0',
								'width' => '540',
								'height' => '80',
								'type' => 'Page Content',
								'container' => 'Content',
								'ID' => '2',
								'custom_ID' => 'Page_Content',
								'editable' => 'false'
							)
						)
					)
				)
			)
		)
	);
}


/**
 * Set Default Post Template Sections
 */
add_filter('sd_post_sections', 'new_sd_post_sections');

function new_sd_post_sections() {
	return array(
		"Header" => array( "scope" => "global" ),
		"Page Header" => array( "scope" => "template" ),
		"Full Width Content" => array( "scope" => "template" ),
		"Content" => array( "scope" => "template" ),
		"Sidebar" => array( "scope" => "global" ),
		"Footer" => array( "scope" => "global" )
	);
}

/**
 * Set Default Page Template Sections
 */
add_filter('sd_page_sections', 'new_sd_page_sections');

function new_sd_page_sections() {
	return array(
		"Header" => array( "scope" => "global" ),
		"Page Header" => array( "scope" => "template" ),
		"Full Width Content" => array( "scope" => "template" ),
		"Content" => array( "scope" => "template" ),
		"Sidebar" => array( "scope" => "global" ),
		"Footer" => array( "scope" => "global" )
	);
}

/**
 * Set Default Post Template Layout
 * Section names within layout data must have spaces converted to dashes
 */
add_filter('sd_post_layout', 'new_sd_post_layout');

function new_sd_post_layout() {
	return array(
		'sections' => array(
			0 => array (
				'section' => 'Page-Header',
				'height' => '400',
				'blocks' => array (
					0 => array(
						'top' => '20',
						'left' => '0',
						'width' => '940',
						'height' => '80',
						'type' => 'Published Date - Editable',
						'container' => 'Page-Header',
						'ID' => '1',
						'custom_ID' => 'Published_Date',
						'editable' => 'false'
					),
					1 => array(
						'top' => '120',
						'left' => '0',
						'width' => '940',
						'height' => '80',
						'type' => 'Post Title - Editable',
						'container' => 'Page-Header',
						'ID' => '1',
						'custom_ID' => 'Post_Title',
						'editable' => 'true'
					),
					2 => array(
						'top' => '220',
						'left' => '0',
						'width' => '940',
						'height' => '80',
						'type' => 'Post Subtitle - Editable',
						'container' => 'Page-Header',
						'ID' => '1',
						'custom_ID' => 'Post_Subtitle',
						'editable' => 'true',
						'default_text' => 'Enter Subtitle Here'
					)
				)
			),
			1 => array(
				'section' => 'Full-Width-Content',
				'height' => '400',
				'blocks' => array(
					0 => array(
						'top' => '120',
						'left' => '0',
						'width' => '940',
						'height' => '80',
						'type' => 'Featured Image',
						'container' => 'Full-Width-Content',
						'ID' => '2',
						'custom_ID' => 'Featured_Image_Large',
						'editable' => 'false'
					)
				)
			),
			2 => array(
				'section' => 'Content',
				'height' => '400',
				'blocks' => array(
					0 => array(
						'top' => '20',
						'left' => '0',
						'width' => '540',
						'height' => '80',
						'type' => 'Post Content - Editable',
						'container' => 'Content',
						'ID' => '1',
						'custom_ID' => 'Post_Content',
						'editable' => 'true',
						'default_text' => 'Enter Content Here'
					),
					1 => array(
						'top' => '120',
						'left' => '0',
						'width' => '540',
						'height' => '80',
						'type' => 'Category and Tags',
						'container' => 'Content',
						'ID' => '2',
						'custom_ID' => 'Category_and_Tags',
						'editable' => 'false'
					),
					2 => array(
						'top' => '220',
						'left' => '0',
						'width' => '540',
						'height' => '80',
						'type' => 'Comments',
						'container' => 'Content',
						'ID' => '3',
						'custom_ID' => 'Comments',
						'editable' => 'false'
					)
				)
			)
		)
	);
}

/**
 * Set Default Page Template Layout
 * Section names within layout data must have spaces converted to dashes
 */
add_filter('sd_page_layout', 'new_sd_page_layout');

function new_sd_page_layout() {
	return array(
		'sections' => array(
			0 => array (
				'section' => 'Page-Header',
				'height' => '400',
				'blocks' => array (
					0 => array(
						'top' => '120',
						'left' => '0',
						'width' => '940',
						'height' => '80',
						'type' => 'Post Title - Editable',
						'container' => 'Page-Header',
						'ID' => '1',
						'custom_ID' => 'Post_Title',
						'editable' => 'true'
					),
					1 => array(
						'top' => '220',
						'left' => '0',
						'width' => '940',
						'height' => '80',
						'type' => 'Post Subtitle - Editable',
						'container' => 'Page-Header',
						'ID' => '1',
						'custom_ID' => 'Post_Subtitle',
						'editable' => 'true',
						'default_text' => 'Enter Subtitle Here'
					)
				)
			),
			1 => array(
				'section' => 'Full-Width-Content',
				'height' => '400',
				'blocks' => array(
					0 => array(
						'top' => '120',
						'left' => '0',
						'width' => '940',
						'height' => '80',
						'type' => 'Featured Image',
						'container' => 'Full-Width-Content',
						'ID' => '2',
						'custom_ID' => 'Featured_Image_Large',
						'editable' => 'false'
					)
				)
			),
			2 => array(
				'section' => 'Content',
				'height' => '400',
				'blocks' => array(
					0 => array(
						'top' => '20',
						'left' => '0',
						'width' => '540',
						'height' => '80',
						'type' => 'Post Content - Editable',
						'container' => 'Content',
						'ID' => '1',
						'custom_ID' => 'Post_Content',
						'editable' => 'true',
						'default_text' => 'Enter Content Here'
					)
				)
			)
		)
	);
}

/**
 * Set Default Post Template Block ID's for Content
 */
define( 'SD_POST_TITLE_BLOCK_ID', 'Post_Title' );
define( 'SD_POST_SUBTITLE_BLOCK_ID', 'Post_Subtitle' );
define( 'SD_POST_CONTENT_BLOCK_ID', 'Post_Content' );

define( 'SD_PAGE_TITLE_BLOCK_ID', 'Post_Title' );
define( 'SD_PAGE_SUBTITLE_BLOCK_ID', 'Post_Subtitle' );
define( 'SD_PAGE_CONTENT_BLOCK_ID', 'Post_Content' );

define( 'SD_POST_SUBTITLE_DEFAULT_TEXT', 'Enter Subtitle Here' );

/**
 * Set Default Post Template Title Markup
 */
add_filter('sd_post_title', 'new_sd_post_title');

function new_sd_post_title($title) {
	if ( $title )
		return '<h1 class="entry-title">' . $title . '</h1>';
	else
		return '';
}

add_filter('sd_post_subtitle', 'new_sd_post_subtitle');

function new_sd_post_subtitle($subtitle) {
	if ( $subtitle )
		return '<h2 class="entry-subtitle">' . $subtitle . '</h2>';
	else
		return '';
}

/**
 * Set Default Page Template Title Markup
 */
add_filter('sd_page_title', 'new_sd_page_title');

function new_sd_page_title($title) {
	if ( $title )
		return '<h1 class="entry-title">' . $title . '</h1>';
	else
		return '';
}

add_filter('sd_page_subtitle', 'new_sd_page_subtitle');

function new_sd_page_subtitle($subtitle) {
	if ( $subtitle )
		return '<h2 class="entry-subtitle">' . $subtitle . '</h2>';
	else
		return '';
}